Wanx 2.1 T2V Plus
curl --request POST \
--url https://api.modellix.ai/api/v1/alibaba/wanx2.1-t2v-plus/async \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>"
}
'{
"code": 0,
"message": "success",
"data": {
"status": "pending",
"task_id": "task-abc123",
"model_id": "model-123",
"get_result": {
"method": "GET",
"url": "https://api.modellix.ai/api/v1/tasks/task-abc123"
}
}
}Wan test-to-video model can generate videos from a single sentence, featuring rich artistic styles and cinematic quality. Wanx 2.1 Plus offers even more refined visuals.
POST
/
wanx2.1-t2v-plus
/
async
Wanx 2.1 T2V Plus
curl --request POST \
--url https://api.modellix.ai/api/v1/alibaba/wanx2.1-t2v-plus/async \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>"
}
'{
"code": 0,
"message": "success",
"data": {
"status": "pending",
"task_id": "task-abc123",
"model_id": "model-123",
"get_result": {
"method": "GET",
"url": "https://api.modellix.ai/api/v1/tasks/task-abc123"
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.modellix.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
API Key authentication. Format: Bearer YOUR_API_KEY.
Body
application/json
Description of the desired output.
Required string length:
1 - 800Description of what to avoid in the output.
Maximum string length:
500Output size in pixels.
Available options:
1280*720, 720*1280, 960*960, 1088*832, 832*1088 Whether to automatically extend/enhance the prompt.
Random seed for reproducible generation. Use -1 for random.
Required range:
0 <= x <= 2147483647⌘I